PETSc version 3.15.5
Fix/Edit manual page

# PetscOptionsGetRealArray

Gets an array of double precision values for a particular option in the database. The values must be separated with commas with no intervening spaces.

### Synopsis

    #include "petscsys.h"
    PetscErrorCode PetscOptionsGetRealArray(PetscOptions options,const char pre[],const char name[],PetscReal dvalue[],PetscInt *nmax,PetscBool *set)

Not Collective

### Input Parameters

| options | - options database, use NULL for default global database
| pre | - string to prepend to each name or NULL
| name | - the option one is seeking
| nmax | - maximum number of values to retrieve

### Output Parameters

| dvalue | - the double values to return
| nmax | - actual number of values retreived
| set | - PETSC_TRUE if found, else PETSC_FALSE

### See Also

PetscOptionsGetInt(), PetscOptionsHasName(),
PetscOptionsGetString(), PetscOptionsGetIntArray(), PetscOptionsBool(), PetscOptionsName(), PetscOptionsBegin(), PetscOptionsEnd(), PetscOptionsHead(), PetscOptionsStringArray(),PetscOptionsRealArray(), PetscOptionsScalar(), PetscOptionsBoolGroupBegin(), PetscOptionsBoolGroup(), PetscOptionsBoolGroupEnd(), PetscOptionsFList(), PetscOptionsEList()

### Level

beginner

### Location

src/sys/objects/options.c

### Examples

src/ksp/ksp/tutorials/ex21.c.html
src/ksp/ksp/tutorials/ex49.c.html
src/ksp/ksp/tutorials/ex54f.F90.html
src/ts/tutorials/extchem.c.html
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages